# Description
`porkbun` is an event handling framework for JavaScript.
# Installation
`porkbun` is available as an `npm` package.  You can install it via the npm package `@ephox/porkbun`
## Install from npm
`npm install @ephox/porkbun`

# Usage
`Binder`: An event binder that allows binding and unbinding of events.
`Event`: A module that allows multiple handlers to be bound, unbound and triggered for an event.
`Events`: A module that allows multiple handlers to be bound, unbound and triggered for multiple events.
`SourceEvent`: An event sourced from another event.
# Tests
`porkbun` uses [`bedrock`](https://www.npmjs.com/package/@ephox/bedrock) to run atomic tests.
## Running Tests
`$ yarn test`
